condenser_api.get_account_history
Purpose
返回给定账户的全部操作历史。参数:account:string;start:int,例如:-1 表示反向历史,或任意正数;limit:int 最大 10000
account (string) | start (int) | limit (int) | |
|---|---|---|---|
"steemit" | 1000 | 1000 | 查询名为 steemit 的账户,从历史中最新一条开始,最多 1,000 条结果。 |
"alice" | -1 | 10000 | 查询名为 alice 的账户,从历史中最旧一条开始,最多 10,000 条结果。 |
另见:account_history_api.get_account_history、Paginated API Methods
Parameters
PARAMETERS
json
[
"",
0,
1000
]Example
Example 1
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "condenser_api.get_account_history",
"params": [
"steemit",
1000,
1000
],
"id": 1
}'Example 2
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "condenser_api.get_account_history",
"params": [
"steemit",
-1,
10000
],
"id": 1
}'